// PermissionService.aidl
package com.cleanmaster.function.junk.accessibility.aidl;

// Declare any non-default types here with import statements
import com.cleanmaster.function.junk.accessibility.action.IntentItem;
import com.cleanmaster.function.junk.accessibility.action.ActionItem;
import com.cleanmaster.function.junk.accessibility.aidl.IJunkAccServiceListener;

interface IJunkAccService {

    void register(IJunkAccServiceListener listener);

    void unregister(IJunkAccServiceListener listener);

    void start(int mode, in IntentItem intentItem, in ActionItem[] actionItems, int permissionType);

    void cancel();

    void setUICoverTimeout();

    /**
     * 判断 Accessibility Service 是否已经系统授权
     * @return
     */
    boolean isAccAuthorized();
}
